from multiprocessing import Pool, Manager

def worker(d, lock):
    with lock:
        d['count'] += 1

if __name__ == "__main__":
    with Manager() as manager:
        d = manager.dict()
        d['count'] = 0
        lock = manager.Lock()

        with Pool(processes=4) as pool:
            for _ in range(1000):
                pool.apply_async(worker, args=(d, lock))
            pool.close()
            pool.join()

        print(d['count'])  # 输出应为1000，因为有1000次调用worker函数
